=== debian/changelog ===
maxima (5.40.0-1) unstable; urgency=medium

  * New upstream release
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 14 Jun 2017 12:56:51 +0000
