=== debian/changelog ===
maxima (5.41.0-3) unstable; urgency=medium

  * optimize_import_symbol_fix
  * build dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 29 Mar 2018 15:52:54 +0000

maxima (5.41.0-2) unstable; urgency=medium

  * build-dep latest gcl
  * rtest8 101 104 known errors on m68k

 -- Camm Maguire <camm@debian.org>  Mon, 12 Feb 2018 19:36:34 +0000

maxima (5.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@barriere.debian.org>  Fri, 22 Dec 2017 15:49:55 +0000

maxima (5.40.0-3) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "&quot;maxima --list-avail&quot; reports nothing contrary to
    man page", thanks to Atsuhito Kohda (Closes: #856000).

 -- Camm Maguire <camm@debian.org>  Mon, 18 Sep 2017 16:12:51 +0000

maxima (5.40.0-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 29 Aug 2017 22:59:33 +0000
