=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 
 	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)
 
-	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t si::*code-block-reserve* (make-array 10000000 :element-type (quote character) :static t))(si::sgc-on nil)(si::gbc t)(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
+	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t si::*code-block-reserve* (make-array 10000000 :element-type (quote character) :static t))(when (fboundp (quote si::sgc-on)) (si::sgc-on nil))(si::gbc t)(si::save-system "foo")' | ./maxima-local && mv foo src/binary-gcl/maxima
 
 
 	chmod +x ./maxima-local
@@ -94,7 +94,7 @@
 	dh_testdir
 	dh_testroot
 
-	-$(MAKE) clean
+	! [ -e Makefile ] || $(MAKE) clean
 	debian/rules restore
 	rm -rf $(BOOK) src/binary-gcl binary gcl src/sys-proclaim.lisp tests/tests-gcl.log
 	rm -rf admin/Makefile config.log config.status crosscompile-windows/Makefile\
