=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
#opts=pasv ftp://ftp.sf.net/m/ma/maxima/maxima-?_?([\w+\d+\.]+|\d+).tar.gz debian uupdate
http://sf.net/maxima/maxima-([^-]*)\.tar.gz debian uupdate
